Skip to main content
GET
List Deposit Addresses
OAuth Scope

Authorizations

Authorization
string
header
required

Paxos APIs use OAuth 2 with the client credentials grant flow.

Token URLs:

Learn more in the API credentials guide →

Query Parameters

profile_ids
string[]

Optionally filter by the profile IDs associated with the deposit addresses. Limit 100.

identity_ids
string[]

Optionally filter by the Identities associated with the deposit addresses. Limit 100.

ids
string[]

Optionally filter by the UUIDs of the deposit addresses. Limit 100.

ref_ids
string[]

The client-specified IDs provided during transfer creation. Limit 100.

created_at.lt
string<date-time>

Include timestamps strictly less than lt. RFC3339 format, like 2006-01-02T15:04:05Z.

created_at.lte
string<date-time>

Include timestamps less than or equal to lte. RFC3339 format, like 2006-01-02T15:04:05Z.

created_at.eq
string<date-time>

Include timestamps exactly equal to eq. RFC3339 format, like 2006-01-02T15:04:05Z.

created_at.gte
string<date-time>

Include timestamps greater than or equal to gte. RFC3339 format, like 2006-01-02T15:04:05Z.

created_at.gt
string<date-time>

Include timestamps strictly greater than gt. RFC3339 format, like 2006-01-02T15:04:05Z.

limit
integer<int32>

Number of results to return. Defaults to 100 if no limit is provided. Maximum 1000.

order
enum<string>

Return items in ascending (ASC) or descending (DESC) order. Defaults to DESC.

Available options:
DESC,
ASC
order_by
enum<string>

The specific method by which the returned results will be ordered.

Available options:
CREATED_AT
page_cursor
string

Optional: Cursor for getting the next page of results.

account_ids
string[]

Optionally filter by the Accounts associated with the deposit address. Limit 100.

networks
enum<string>[]

Optionally filter by the networks of the deposit addresses. Limit 100.

Available options:
BITCOIN,
ETHEREUM,
BITCOIN_CASH,
LITECOIN,
SOLANA,
POLYGON_POS,
BASE,
ARBITRUM_ONE,
STELLAR,
INK,
XLAYER,
AVALANCHE,
DOGECOIN,
SUI,
ROBINHOOD,
BNB

Response

200 - application/json

A successful response.

items
object[]
next_page_cursor
string